Package: groovy.json.internal

## [Java] Class IO

- groovy.json.internal.IO

- Authors:
    Rick Hightower

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static int` | `copy(Reader input, Writer output)`
    `` | `static long` | `copyLarge(Reader reader, Writer writer)`
    `` | `static long` | `copyLarge(Reader reader, Writer writer, char[] buffer)`
    `` | `static CharBuf` | `read(Reader input, CharBuf charBuf, int bufSize)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public static int copy(Reader input, Writer output)

    - #### public static long copyLarge(Reader reader, Writer writer)

    - #### public static long copyLarge(Reader reader, Writer writer, char[] buffer)

    - #### public static CharBuf read(Reader input, CharBuf charBuf, int bufSize)